import { DatabaseService } from '../../config';
import { NotificationsService } from '../notifications/notifications.service';
import { createProbationDto, filterProbationDto, reviewProbationDto } from './probation.dto';
export declare class ProbationService {
    private readonly db;
    private readonly notificationsService;
    constructor(db: DatabaseService, notificationsService: NotificationsService);
    createProbation(data: createProbationDto, ownerId: string): Promise<any>;
    getProbationsByFilter(query: filterProbationDto, ownerId: string): Promise<{
        data: any;
        pagination: {
            total: any;
            page: number;
            limit: number;
            totalPages: number;
        };
    }>;
    getProbationById(id: string, ownerId: string): Promise<any>;
    reviewProbation(id: string, data: reviewProbationDto, reviewerId: string, ownerId: string): Promise<any>;
}
